<?php
/*
Plugin Name: For Event Espresso 5 migration re-run
Description: This plugin updates the site options used by EE5 duriing a migration so that the migration runs again.
*/

function tw_ee_force_ee5_migration_activation() {
	if(class_exists('EE_Data_Migration_Manager')) {
		EE_Data_Migration_Manager::instance()->update_current_database_state_to(array('slug' => 'Core', 'version' => '4.10.46.p'));
		delete_option(EE_Data_Migration_Manager::data_migration_script_option_prefix . 'Core.5.0.0');
		update_option(EE_Maintenance_Mode::option_name_maintenance_mode, EE_Maintenance_Mode::level_2_complete_maintenance);
	}
}
register_activation_hook( __FILE__, 'tw_ee_force_ee5_migration_activation' );